Building php 5.2.8 on centos4/rhel4

Issues related to software problems
Post Reply
tuxtutorials
Posts: 1
Joined: 2009/01/07 02:23:13
Contact:

Building php 5.2.8 on centos4/rhel4

Post by tuxtutorials » 2009/01/07 02:31:53

Hello CentOS members I am trying to accomplish the following:

Build php 5.2.8 on centos4/rhel4 I posted this on linuxquestions.org with no help so hopefully the centos community can dig me out of this hole.

Since then I am down to a final package dependency that I need to resolve before I can build the php 5.2.8 rpm. Its the libXpm-devel package. I have solved all the other packages but this one is a little tricky can someone let me know if this is required for centos4? I have tried to comment out the package but no go during the compile. I know the compile can be peformed just not sure how to satisfy this libXpm-devel dependency.


rpmbuild -bb php.spec
error: Failed build dependencies:
libXpm-devel is needed by php-5.2.8-2.i386


What is strange was with previous releases of PHP 5.2.5 which I previously built these dependencies were not required. Can these packages be commented out for a build on RHEL4/centos4 within the php.spec? Or should these packages be satisfied. I have noticed t1lib-devel depends on a slew of other packages


P.S I am trying to build the php 5.2.8 rpm from a source rpm pulled from:


http://mirrors.kernel.org/fedora/dev...2.fc11.src.rpm

Thanks for the help.

Mistoffeles
Posts: 24
Joined: 2007/04/23 18:48:58

Building php 5.2.8 on centos4/rhel4

Post by Mistoffeles » 2009/01/14 22:26:17

Let me get this straight, you are trying to build PHP to run on CentOS 4 from source that is meant for Fedora Core 11. Wouldn't you have a better chance using the pure PHP source from http://www.php.net/downloads.php ?

I'm no expert, but I would no sooner use an FC11 rpm on CentOS 4 than I would use a deb package. Fedora is much more dynamic than RHEL/CentOS. This is why RHEL exists in the first place, to provide a stable platform on which to build applications, where you can depend on code changes to be limited to security/bug fixes and nothing more.

Good luck.

Post Reply

Return to “CentOS 4 - Software Support”